<template>
  <div :id="id" :style="{ width: width, height: height }"></div>
</template>

<script>
import { chartOptionMixins } from "@/views/analyse/custom/mixins";
import { random } from "@/utils";
export default {
  mixins: [chartOptionMixins],
  name: "CStackedColumn",
  data() {
    return {
      id: 'stackedColumn',
      barWidth: ''
    }
  },
  mounted() {
  },
  methods: {
    getOption() {
      let { legend, xAxis, yAxis, series, grid } = this.get2AxisOption('bar', 'total')
      return {
        tooltip: {
          trigger: 'item'
        },
        legend,
        grid: grid,
        xAxis: yAxis,
        yAxis: xAxis,
        series: series
      }
    }
  }
}
</script>
